---
schema_version: "1"
id: 1ea37477d549a0d5136c8835bb194dac5c7422f7c6a58f673ad88cac0011b0ab
title: Download Large Event Log Files Using cURL with REST
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-event-log-file-download.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-event-log-file-download.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 6b839ab0e6a3f1c4c740aa0e437c69e94afaa385b2d713ea4a52e0823d920048
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Download Large Event Log Files Using cURL with REST

You might have some event log files that are larger than your tool can handle. A command line tool such as cURL is one method to download files larger than 100 MB using the sObject Blob Get object

We recommend using compression when downloading large event log files. See [Compression Headers](https://developer.salesforce.com/docs/platform/api-rest/intro/intro-rest-compression.md#compression-headers).

## Example: Use the “X-PrettyPrint” header and the “-o” flag to output large files to .csv formats

This command downloads a file onto your machine into your downloads folder.

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/EventLogFile/0AT30000000000uGAA/LogFile
-H "Authorization: Bearer token" -H "X-PrettyPrint:1" -o ~/downloads/outputLogFile.csv
```

